Bug 148643 - New port: multimedia/mp4v2, replaces multimedia/mpeg4ip-libmp4v2
New port: multimedia/mp4v2, replaces multimedia/mpeg4ip-libmp4v2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 16:10 UTC by cjk32
Modified: 2010-08-11 22:20 UTC (History)
0 users

See Also:


Attachments
audio-easytag-devel.patch (1.07 KB, patch)
2010-07-15 16:10 UTC, cjk32
no flags Details | Diff
audio-etoile-melodie.patch (757 bytes, patch)
2010-07-15 16:10 UTC, cjk32
no flags Details | Diff
audio-gtkpod.patch (4.61 KB, patch)
2010-07-15 16:10 UTC, cjk32
no flags Details | Diff
audio-kid3.patch (698 bytes, patch)
2010-07-15 16:10 UTC, cjk32
no flags Details | Diff
audio-libtunepimp.patch (1.18 KB, patch)
2010-07-15 16:10 UTC, cjk32
no flags Details | Diff
multimedia-mpeg4ip.patch (5.60 KB, patch)
2010-07-15 16:10 UTC, cjk32
no flags Details | Diff
www-mod_musicindex.patch (792 bytes, patch)
2010-07-15 16:10 UTC, cjk32
no flags Details | Diff
file.shar (3.88 KB, text/plain)
2010-07-15 16:10 UTC, cjk32
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description cjk32 2010-07-15 16:10:04 UTC
MPEG4IP is no longer maintained[1].  A new project[2] forked the libmp4v2 components, and is under active developement.  This set of patches integrates mp4v2 into the ports tree as a replacementment for multimedia/mpeg4ip-libmp4v2.

There is one question to be resolved for the new port, multimedia/mp4v2.  When building libmp4v2, versioning information is passed to libtool using -version-number 1.9.1 (rather than the more usual -version-info current:revision:age).  Libtool translates a version number to version info, but does differently on different platforms. 
This seems a little strange, as the rules relating API changes to a version number would normally be defined by the project, and not the platform.

Libtool translates 1.9.1 to 10:1:9 on most platforms, but 1:9:0 on FreeBSD. I have overridden this to give 10:1:9 on FreeBSD too, so that other projects linking to mp4v2 can look for consistent numbers across platforms, but I'm not sure if this is the correct thing to do.  I have also suggested that future releases of mp4v2 specify -version-info directly.

The new port, multimedia/mp4v2, doesn't install everything that multimedia/mpeg4ip-libmp4v2 used to install: libmp4av and libmpeg4ip_gnu are missing.  Nothing seems to depend on these, and they have been integrated back into the main multimedia/mpeg4ip port.

There are various ports that depend on multimedia/mpeg4ip-libmp4v2 that have been updated.

audio/cmus, audio/kid3-kde4, audio/kid3, multimedia/quodlibet and www/mod_musicindex build cleanly without changes.  (quodlibet has only been tested on i386.  It is also unclear whether it actually still requires libmp4v2.)

audio/amarok, audio/easytag, audio/easytag-devel, audio/faac, audio/libtunepimp and audio/libtunepimp-old build cleanly with a trivial change to include mp4v2/mp4v2.h instead of mp4.h.

audio/gtkpod requires more extensive changes.  If it detects mp4v2, it assumes the presence of functions that were temporarily available as replacements for deprecated parts of the mp4v2 API.  The included patch attempts to fix this in a manner that could be extended and reincorporated into the original code.  The port is also changed so as not to automatically link to libmp4v2 is present, and intsead honour WITHOUT_MPEG4IP.

CARE IS REQUIRED WHEN APPLYING THIS PATCH.  The absence of an audio/gtkpod/files dir means that patch claims to have successfully applied patch-src__mp4file.c without actually creating it, create a files dir before applying the patch.

audio/etoile-melodie hasn't been tested as etoile-languagekit is marked as broken.

None of the above ports (with the exception of faac) have been tested due to the lack of suitable infrastructure.

multimedia/mpeg4ip-libmp4v2 has been updated to mark the conflict with mp4v2, but is now obsolete, and should probably be removed.


[1] http://mpeg4ip.sourceforge.net/
[2] http://code.google.com/p/mp4v2/

Fix: Index: audio/cmus/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/cmus/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- audio/cmus/Makefile	30 Jun 2010 11:34:15 -0000	1.33
+++ audio/cmus/Makefile	14 Jul 2010 20:11:33 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	cmus
 PORTVERSION=	2.3.3
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -103,7 +104,7 @@
 
 .if defined(WITH_MP4)
 LIB_DEPENDS+=	faad:${PORTSDIR}/audio/faad
-LIB_DEPENDS+=	mp4v2:${PORTSDIR}/multimedia/mpeg4ip-libmp4v2
+LIB_DEPENDS+=	mp4v2:${PORTSDIR}/multimedia/mp4v2
 CONFIGURE_ARGS+=CONFIG_MP4=y
 PLIST_SUB+=	MP4=""
 .else
--- audio-cmus.patch ends here ---

Index: audio/easytag/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/easytag/Makefile,v
retrieving revision 1.53
diff -u -r1.53 Makefile
--- audio/easytag/Makefile	6 Jun 2010 20:43:31 -0000	1.53
+++ audio/easytag/Makefile	15 Jul 2010 10:12:18 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	easytag
 PORTVERSION=	2.1
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}%20%28gtk%202%29/${PORTVERSION}
 
@@ -17,7 +17,7 @@
 LIB_DEPENDS=	id3:${PORTSDIR}/audio/id3lib \
 		vorbis:${PORTSDIR}/audio/libvorbis \
 		FLAC:${PORTSDIR}/audio/flac \
-		mp4v2:${PORTSDIR}/multimedia/mpeg4ip-libmp4v2
+		mp4v2.10:${PORTSDIR}/multimedia/mp4v2
 
 MAN1=		easytag.1
 CONFLICTS=	easytag-devel-[0-9]*
@@ -36,4 +36,9 @@
 CONFIGURE_ARGS+=	--disable-wavpack
 .endif
 
+post-patch:
+	@${REINPLACE_CMD} -e 's|<mp4\.h>|<mp4v2/mp4v2.h>|g' \
+		${WRKSRC}/src/mp4_header.c \
+		${WRKSRC}/src/mp4_tag.c
+
 .include <bsd.port.mk>
--- audio-easytag.patch ends here ---

Index: audio/faac/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/faac/Makefile,v
retrieving revision 1.37
diff -u -r1.37 Makefile
--- audio/faac/Makefile	22 Aug 2009 22:36:56 -0000	1.37
+++ audio/faac/Makefile	15 Jul 2010 10:11:52 -0000
@@ -7,13 +7,14 @@
 
 PORTNAME=	faac
 PORTVERSION=	1.28
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-src/${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	multimedia@FreeBSD.org
 COMMENT=	MPEG-2 and MPEG-4 AAC audio encoder
 
-LIB_DEPENDS=	mp4v2.0:${PORTSDIR}/multimedia/mpeg4ip-libmp4v2
+LIB_DEPENDS=	mp4v2.10:${PORTSDIR}/multimedia/mp4v2
 
 RESTRICTED=	Distribution in binary form is prohibited
 
@@ -24,6 +25,7 @@
 USE_AUTOTOOLS=	aclocal:110 autoheader:262 automake:110 autoconf:262 libtool:22
 ACLOCAL_ARGS=	-I . -I ${LOCALBASE}/share/aclocal
 AUTOMAKE_ARGS=	--add-missing
+CONFIGURE_ARGS= --with-mp4v2
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
 		LDFLAGS="-L${LOCALBASE}/lib" \
 		LIBS="-lmp4v2"
@@ -35,6 +37,8 @@
 
 post-patch:
 	@${ECHO_CMD} "" >> ${WRKSRC}/libfaac/psych.h
+	@${REINPLACE_CMD} -e 's|<mp4\.h>|<mp4v2/mp4v2.h>|g' \
+		${WRKSRC}/frontend/main.c \
 
 pre-configure:
 	@cd ${WRKSRC}; ${SETENV} ${AUTOTOOLS_ENV} ${LIBTOOLIZE} --automake
Index: audio/faac/files/patch-configure.in
===================================================================
RCS file: /home/ncvs/ports/audio/faac/files/patch-configure.in,v
retrieving revision 1.1
diff -u -r1.1 patch-configure.in
--- audio/faac/files/patch-configure.in	24 Aug 2006 23:34:20 -0000	1.1
+++ audio/faac/files/patch-configure.in	15 Jul 2010 10:11:52 -0000
@@ -1,15 +1,20 @@
---- configure.in.orig	Thu Aug 24 18:43:12 2006
-+++ configure.in	Thu Aug 24 18:45:13 2006
+--- ./configure.in.orig	2010-07-11 22:10:12.000000000 +0100
++++ ./configure.in	2010-07-11 22:10:49.000000000 +0100
 @@ -1,7 +1,7 @@
  AC_PREREQ(2.50)
- AC_INIT(FAAC, 1.25, faac-dev@lists.sourceforge.net)
+ AC_INIT(FAAC, 1.28, faac-dev@lists.sourceforge.net)
  AC_CONFIG_AUX_DIR(.)
 -AM_INIT_AUTOMAKE
 +AM_INIT_AUTOMAKE(faac, 1.25)
  
  AM_CONFIG_HEADER(config.h)
  
-@@ -35,6 +35,7 @@
+@@ -32,10 +32,11 @@
+ AC_CHECK_DECLS([MP4Create, MP4MetadataDelete],
+                AC_CHECK_LIB(mp4v2, MP4MetadataDelete, external_mp4v2=yes,
+                             external_mp4v2=no, -lstdc++),
+-               external_mp4v2=no, [#include <mp4.h>])
++               external_mp4v2=no, [#include <mp4v2/mp4v2.h>])
  
  if test x$external_mp4v2 = xyes; then
    AC_MSG_NOTICE([*** Building with external mp4v2 ***])
--- audio-faac.patch ends here ---

Index: audio/kid3-kde4/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/kid3-kde4/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- audio/kid3-kde4/Makefile	6 Jun 2010 20:43:33 -0000	1.26
+++ audio/kid3-kde4/Makefile	14 Jul 2010 20:21:44 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	kid3
 PORTVERSION=	1.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	audio kde
 MASTER_SITES=	SF
 PKGNAMESUFFIX=	-kde4
@@ -20,7 +20,7 @@
 		ogg.7:${PORTSDIR}/audio/libogg \
 		vorbis.4:${PORTSDIR}/audio/libvorbis \
 		tunepimp.5:${PORTSDIR}/audio/libtunepimp \
-		mp4v2.0:${PORTSDIR}/multimedia/mpeg4ip-libmp4v2
+		mp4v2.10:${PORTSDIR}/multimedia/mp4v2
 
 USE_KDE4=	kdelibs kdeprefix kdehier automoc4
 USE_QT_VER=	4
--- audio-kid3-kde4.patch ends here ---

Index: audio/libtunepimp-old/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/libtunepimp-old/Makefile,v
retrieving revision 1.29
diff -u -r1.29 Makefile
--- audio/libtunepimp-old/Makefile	8 Jun 2010 19:52:55 -0000	1.29
+++ audio/libtunepimp-old/Makefile	15 Jul 2010 10:12:02 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	libtunepimp-old
 PORTVERSION=	0.4.4
-PORTREVISION=	2
+PORTREVISION=	3
 PORTEPOCH=	2
 CATEGORIES=	audio
 MASTER_SITES=	http://ftp.osuosl.org/pub/musicbrainz/ \
@@ -20,7 +20,7 @@
 LIB_DEPENDS=	FLAC:${PORTSDIR}/audio/flac \
 		expat:${PORTSDIR}/textproc/expat2 \
 		mad:${PORTSDIR}/audio/libmad \
-		mp4v2:${PORTSDIR}/multimedia/mpeg4ip-libmp4v2 \
+		mp4v2.10:${PORTSDIR}/multimedia/mp4v2 \
 		musicbrainz:${PORTSDIR}/audio/libmusicbrainz \
 		ogg:${PORTSDIR}/audio/libogg \
 		tag:${PORTSDIR}/audio/taglib \
@@ -40,6 +40,8 @@
 		 s|^CPPFLAGS=|#CPPFLAGS=|g' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's|-lthr|${PTHREAD_LIBS}|g' \
 		${WRKSRC}/lib/threads/posix/Makefile.in
+	@${REINPLACE_CMD} -e 's|<mp4\.h>|<mp4v2/mp4v2.h>|g' \
+		${WRKSRC}/plugins/mp4/mp4.cpp
 
 post-configure:
 	@${REINPLACE_CMD} -e 's|\(^LDFLAGS =.*\)|\1 ${PTHREAD_LIBS} -liconv|g' \
--- audio-libtunepimp-old.patch ends here ---

Index: multimedia/mpeg4ip-libmp4v2/Makefile
===================================================================
--- multimedia/mpeg4ip-libmp4v2/Makefile	(revision 2301)
+++ multimedia/mpeg4ip-libmp4v2/Makefile	(revision 2376)
@@ -17,6 +17,7 @@
 MAINTAINER=	multimedia@FreeBSD.org
 COMMENT=	Mpeg-4 library and tools from mpeg4ip
 
+CONFLICTS=	mp4v2-[0-9.]*\
 USE_AUTOTOOLS=	libtool:22
 USE_GMAKE=	yes
 MAKE_JOBS_SAFE=	yes
--- multimedia-mpeg4ip-libmp4v2.patch ends here ---

Index: multimedia/quodlibet/Makefile
===================================================================
RCS file: /home/ncvs/ports/multimedia/quodlibet/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- multimedia/quodlibet/Makefile	31 May 2010 02:00:13 -0000	1.33
+++ multimedia/quodlibet/Makefile	14 Jul 2010 20:26:23 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	quodlibet
 PORTVERSION=	2.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	multimedia audio python gnome
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 
@@ -82,7 +82,7 @@
 .endif
 
 .if !defined(WITHOUT_MPEG4IP)
-LIB_DEPENDS+=	mp4v2.0:${PORTSDIR}/multimedia/mpeg4ip-libmp4v2
+LIB_DEPENDS+=	mp4v2.10:${PORTSDIR}/multimedia/mp4v2
 USE_GSTREAMER+=	faad
 .endif
 
--- multimedia-quodlibet.patch ends here ---



--- multimedia-mp4v2.sh ends here -----vS5yWVIxAGcONsZWmteGyZ4FmRclPS136SxzPTKSx1cTTYNd
Content-Type: text/plain; name="audio-amarok.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="audio-amarok.patch"

Index: audio/amarok/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/amarok/Makefile,v
retrieving revision 1.101
diff -u -r1.101 Makefile
--- audio/amarok/Makefile	31 May 2010 01:57:20 -0000	1.101
+++ audio/amarok/Makefile	15 Jul 2010 10:26:50 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	amarok
 PORTVERSION=	1.4.10
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	audio kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	stable/${PORTNAME}/${PORTVERSION}/src
@@ -17,7 +17,7 @@
 
 LIB_DEPENDS=	tag.1:${PORTSDIR}/audio/taglib \
 		tunepimp.5:${PORTSDIR}/audio/libtunepimp \
-		mp4v2:${PORTSDIR}/multimedia/mpeg4ip-libmp4v2 \
+		mp4v2.10:${PORTSDIR}/multimedia/mp4v2 \
 		xine.1:${PORTSDIR}/multimedia/libxine
 
 MIN_OPTIONS_VER=	${PORTNAME}-1.4.1
@@ -109,10 +109,14 @@
 pre-extract:	check-options-version
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|-O2||g'	${WRKSRC}/${CONFIGURE_SCRIPT}
-	@${REINPLACE_CMD} -e 's|LIBS="-ltunepimp  $$LIBS"|LIBS="-ltunepimp -liconv $$LIBS"|g' \
-	${WRKSRC}/${CONFIGURE_SCRIPT}
+	@${REINPLACE_CMD} -e 's|-O2||g;	\
+		s|LIBS="-ltunepimp  $$LIBS"|LIBS="-ltunepimp -liconv $$LIBS"|g; \
+		s|mp4\.h|mp4v2/mp4v2.h|g' \
+		${WRKSRC}/${CONFIGURE_SCRIPT}
 	@${REINPLACE_CMD} -e 's|xx||g' ${WRKSRC}/po/Makefile.in
+	@${REINPLACE_CMD} -e 's|<mp4\.h>|<mp4v2/mp4v2.h>|g' \
+		${WRKSRC}/amarok/src/metadata/mp4/mp4properties.h \
+		${WRKSRC}/amarok/src/metadata/mp4/mp4tag.h
 	@${FIND} ${WRKSRC} -name "Makefile.in" | ${XARGS} ${TOUCH}
 
 post-install:
Comment 1 Max Brazhnikov freebsd_committer 2010-08-05 19:54:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 Max Brazhnikov freebsd_committer 2010-08-05 20:07:11 UTC
State Changed
From-To: open->repocopy

Please, repocopy multimedia/mpeg4ip-libmp4v2 to multimedia/mp4v2 


Comment 3 Max Brazhnikov freebsd_committer 2010-08-05 20:07:11 UTC
Responsible Changed
From-To: makc->portmgr

Please, repocopy multimedia/mpeg4ip-libmp4v2 to multimedia/mp4v2
Comment 4 pgollucci 2010-08-05 23:30:37 UTC
+1 apache@, www/mod_musicindex looks fine.  Not run-time tested though.
Comment 5 dirk.meyer 2010-08-07 07:52:42 UTC
> mpeg4ip-libmp4v2 is going to be replaced with upcoming multimedia/mp4v2,
> Your ports are affected by this change, please review/approve patches for y=
> our=20

audio/etoile-melodie apprived, Thanks.

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
http://people.freebsd.org/~dinoex/errorlogs/
Comment 6 Joe Marcus Clarke freebsd_committer 2010-08-07 17:55:26 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 7 Joe Marcus Clarke freebsd_committer 2010-08-07 17:55:26 UTC
Responsible Changed
From-To: portmgr->makc

Repocopy complete.
Comment 8 dfilter freebsd_committer 2010-08-11 22:08:11 UTC
makc        2010-08-11 20:56:27 UTC

  FreeBSD ports repository

  Removed files:
    multimedia/mpeg4ip-libmp4v2 Makefile distinfo pkg-descr 
                                pkg-plist 
    multimedia/mpeg4ip-libmp4v2/files 
                                      patch-include::mpeg4ip_getopt.h 
                                      patch-lib::mp4v2::util::mp4tags.cpp 
                                      patch-mpeg4ip_config.h.in 
  Log:
  Remove, superseded by multimedia/mp4v2
  
  PR:             ports/148643
  Submitted by:   Christopher Key <cjk32 at cam.ac.uk>
  
  Revision  Changes    Path
  1.24      +0 -54     ports/multimedia/mpeg4ip-libmp4v2/Makefile (dead)
  1.10      +0 -3      ports/multimedia/mpeg4ip-libmp4v2/distinfo (dead)
  1.2       +0 -12     ports/multimedia/mpeg4ip-libmp4v2/files/patch-include::mpeg4ip_getopt.h (dead)
  1.2       +0 -11     ports/multimedia/mpeg4ip-libmp4v2/files/patch-lib::mp4v2::util::mp4tags.cpp (dead)
  1.2       +0 -27     ports/multimedia/mpeg4ip-libmp4v2/files/patch-mpeg4ip_config.h.in (dead)
  1.2       +0 -3      ports/multimedia/mpeg4ip-libmp4v2/pkg-descr (dead)
  1.5       +0 -34     ports/multimedia/mpeg4ip-libmp4v2/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2010-08-11 22:08:12 UTC
makc        2010-08-11 20:55:33 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/mp4v2     Makefile distinfo pkg-descr pkg-plist 
  Added files:
    multimedia/mp4v2/files patch-GNUmakefile.in 
                           patch-include__mp4v2__itmf_tags.h 
  Removed files:
    multimedia/mp4v2/files patch-include::mpeg4ip_getopt.h 
                           patch-lib::mp4v2::util::mp4tags.cpp 
                           patch-mpeg4ip_config.h.in 
  Log:
  Update mp4v2 to 1.9.1 after repocopy from multimedia/mpeg4ip-libmp4v2.
  
  MPEG4IP is no longer maintained[1]. mp4v2 [2] forked the libmp4v2
  components, and is under active developement.
  
  [1] http://mpeg4ip.sourceforge.net/
  [2] http://code.google.com/p/mp4v2/
  
  PR:             ports/148643
  Submitted by:   Christopher Key <cjk32 at cam.ac.uk>
  
  Revision  Changes    Path
  1.25      +12 -37    ports/multimedia/mp4v2/Makefile
  1.11      +3 -3      ports/multimedia/mp4v2/distinfo
  1.1       +11 -0     ports/multimedia/mp4v2/files/patch-GNUmakefile.in (new)
  1.3       +0 -12     ports/multimedia/mp4v2/files/patch-include::mpeg4ip_getopt.h (dead)
  1.1       +11 -0     ports/multimedia/mp4v2/files/patch-include__mp4v2__itmf_tags.h (new)
  1.3       +0 -11     ports/multimedia/mp4v2/files/patch-lib::mp4v2::util::mp4tags.cpp (dead)
  1.3       +0 -27     ports/multimedia/mp4v2/files/patch-mpeg4ip_config.h.in (dead)
  1.3       +2 -2      ports/multimedia/mp4v2/pkg-descr
  1.6       +21 -26    ports/multimedia/mp4v2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2010-08-11 22:08:30 UTC
makc        2010-08-11 20:58:04 UTC

  FreeBSD ports repository

  Modified files:
    audio/amarok         Makefile 
    audio/cmus           Makefile 
    audio/easytag        Makefile 
    audio/easytag-devel  Makefile 
    audio/etoile-melodie Makefile 
    audio/faac           Makefile 
    audio/faac/files     patch-configure.in 
    audio/gtkpod         Makefile 
    audio/kid3           Makefile 
    audio/kid3-kde4      Makefile 
    audio/libtunepimp    Makefile pkg-plist 
    audio/libtunepimp-old Makefile 
    misc/tellico-kde4    Makefile 
    multimedia/mpeg4ip   Makefile pkg-plist 
    multimedia/quodlibet Makefile 
    sysutils/k3b-kde4    Makefile 
    www/mod_musicindex   Makefile 
    x11/kde4             Makefile 
  Added files:
    audio/gtkpod/files   patch-src__mp4file.c 
    multimedia/mpeg4ip/files patch-include__mpeg4ip.h 
                             patch-include__mpeg4ip_getopt.h 
  Log:
  Chase multimedia/mp4v2 update.
  
  PR:             ports/148643
  Submitted by:   Christopher Key <cjk32 at cam.ac.uk>
  
  Revision  Changes    Path
  1.102     +9 -5      ports/audio/amarok/Makefile
  1.35      +2 -2      ports/audio/cmus/Makefile
  1.73      +8 -2      ports/audio/easytag-devel/Makefile
  1.54      +7 -2      ports/audio/easytag/Makefile
  1.7       +2 -2      ports/audio/etoile-melodie/Makefile
  1.38      +5 -1      ports/audio/faac/Makefile
  1.2       +9 -4      ports/audio/faac/files/patch-configure.in
  1.56      +6 -3      ports/audio/gtkpod/Makefile
  1.1       +99 -0     ports/audio/gtkpod/files/patch-src__mp4file.c (new)
  1.27      +2 -2      ports/audio/kid3-kde4/Makefile
  1.24      +2 -2      ports/audio/kid3/Makefile
  1.30      +4 -2      ports/audio/libtunepimp-old/Makefile
  1.28      +4 -2      ports/audio/libtunepimp/Makefile
  1.9       +0 -1      ports/audio/libtunepimp/pkg-plist
  1.74      +1 -1      ports/misc/tellico-kde4/Makefile
  1.97      +12 -15    ports/multimedia/mpeg4ip/Makefile
  1.1       +43 -0     ports/multimedia/mpeg4ip/files/patch-include__mpeg4ip.h (new)
  1.1       +12 -0     ports/multimedia/mpeg4ip/files/patch-include__mpeg4ip_getopt.h (new)
  1.19      +20 -0     ports/multimedia/mpeg4ip/pkg-plist
  1.34      +2 -2      ports/multimedia/quodlibet/Makefile
  1.66      +1 -0      ports/sysutils/k3b-kde4/Makefile
  1.29      +2 -2      ports/www/mod_musicindex/Makefile
  1.121     +1 -1      ports/x11/kde4/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Max Brazhnikov freebsd_committer 2010-08-11 22:09:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 12 dfilter freebsd_committer 2010-08-11 22:11:28 UTC
makc        2010-08-11 21:04:44 UTC

  FreeBSD ports repository

  Modified files:
    x11/gnustep-app      Makefile 
    x11/etoile           Makefile 
    multimedia/transkode Makefile 
    multimedia/kdemultimedia4 Makefile 
    multimedia/gstreamer-plugins-all Makefile 
    multimedia/avidemux2 Makefile 
    multimedia/arista    Makefile 
    audio/py-libtunepimp Makefile 
    audio/pacpl          Makefile 
    audio/liquidsoap     Makefile 
    audio/kirocker       Makefile 
    audio/juk            Makefile 
    audio/gstreamer-plugins-faac Makefile 
    audio/gnormalize     Makefile 
    audio/audex          Makefile 
    audio/amarok-fs      Makefile 
  Log:
  Chase multimedia/mp4v2 update.
  
  PR:             ports/148643
  Submitted by:   Christopher Key <cjk32 at cam.ac.uk>
  
  Revision  Changes    Path
  1.13      +1 -1      ports/audio/amarok-fs/Makefile
  1.10      +1 -1      ports/audio/audex/Makefile
  1.14      +1 -1      ports/audio/gnormalize/Makefile
  1.13      +1 -1      ports/audio/gstreamer-plugins-faac/Makefile
  1.43      +1 -1      ports/audio/juk/Makefile
  1.9       +1 -1      ports/audio/kirocker/Makefile
  1.6       +1 -1      ports/audio/liquidsoap/Makefile
  1.26      +1 -1      ports/audio/pacpl/Makefile
  1.12      +1 -0      ports/audio/py-libtunepimp/Makefile
  1.7       +1 -1      ports/multimedia/arista/Makefile
  1.70      +1 -1      ports/multimedia/avidemux2/Makefile
  1.23      +1 -1      ports/multimedia/gstreamer-plugins-all/Makefile
  1.171     +1 -0      ports/multimedia/kdemultimedia4/Makefile
  1.20      +1 -1      ports/multimedia/transkode/Makefile
  1.18      +1 -0      ports/x11/etoile/Makefile
  1.51      +1 -1      ports/x11/gnustep-app/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"